%define devname %mklibname -d %{name}
%define libname %mklibname %{name}

Name:		dmalloc
Version:	5.6.5
Release:	%mkrel 1
Summary:	Debugging MALLOC
License:	BSD style
URL:		http://dmalloc.com/
Group:		Development/Other
Source:		http://dmalloc.com/releases/%{name}-%{version}.tar.xz
Obsoletes:	%{devname} < %{version}
Provides:	%{devname} = %version-%release
Provides:	libdmalloc-devel = %{version}-%{release}
Provides:	dmalloc-devel = %{version}-%{release}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The debug memory allocation or "dmalloc" library has been designed
as a drop in replacement for the system's `malloc', `realloc',
`calloc', `free' and other memory management routines while providing
powerful debugging facilities configurable at run-time.  These
facilities include such things as memory-leak tracking, fence-post write
detection, file/line number reporting, and general logging of
statistics.


%prep
%setup -q
chmod -R o+rX .

%build
export CFLAGS=`echo %optflags | sed 's/-O2/-O0/'`

%configure2_5x --enable-threads

%make

%install
rm -rf $RPM_BUILD_ROOT
%make_install	bindir=%{buildroot}%{_bindir} \
				libdir=%{buildroot}%{_libdir} \
				includedir=%{buildroot}%{_includedir}


%files
%defattr(-,root,root)
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Dec 31 2020 tex - 5.6.5-1pclos2021
- new version

* Tue Dec 29 2020 tex - 5.6.4-1pclos2021
- new version

* Fri Dec 18 2020 tex - 5.6.2-1pclos2021
- new version

* Sat Nov 28 2020 tex - 5.6.1-1pclos2020
- new version

* Wed Mar 06 2019 tex - 5.5.2-3pclos2019
- rebuild against updates

* Fri Nov 01 2013 billybot <billybot> 5.5.2-2pclos2013
- convert source to tar.xz
- merge into single package

* Tue Oct 29 2013 pinoc <vogtpet at gmail.com> 5.5.2-1pclos2013
- imported package
